import  { useEffect, useRef } from "react";
import { Box } from "@mui/material";
import Input from "src/ui/Input";
import styles from "src/pages/MainPage/MainPage.module.scss";
import search from "src/resourses/icons/icon-search.svg";
import gsap from "gsap";
import { ScrollTrigger } from "gsap/ScrollTrigger";
import buildingImg from "src/resourses/images/card-building.png"
import interiorImg from "src/resourses/images/card-interior.png"

const GYM = () => {
  return (
    <div style={{ position: "fixed", right: "45%", bottom: "51%" }}>
      <svg
        width="214"
        height="58"
        viewBox="0 0 214 58"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <g filter="url(#filter0_b_139_7410)">
          <rect
            width="214"
            height="58"
            rx="29"
            fill="#808080"
            fill-opacity="0.3"
          />
          <rect
            x="0.991355"
            y="0.991355"
            width="212.017"
            height="56.0173"
            rx="28.0086"
            stroke="url(#paint0_linear_139_7410)"
            stroke-width="1.98271"
          />
          <path
            d="M32 39C33 34 40 33.4183 40 27C40 22.5817 36.4183 19 32 19C27.5817 19 24 22.5817 24 27C24 33.4183 31 34 32 39Z"
            stroke="white"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M32 30C33.6569 30 35 28.6569 35 27C35 25.3431 33.6569 24 32 24C30.3431 24 29 25.3431 29 27C29 28.6569 30.3431 30 32 30Z"
            stroke="white"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M61.59 33H60.204V23.088H66.392V24.306H61.59V27.386H66.084V28.576H61.59V33ZM69.547 33H68.161V23.088H69.547V33ZM75.4338 33H74.0478V24.306H70.8698V23.088H78.6118V24.306H75.4338V33ZM86.9185 31.012H86.9465V23.088H88.3325V33H86.5825L81.3465 24.908H81.3185V33H79.9325V23.088H81.7385L86.9185 31.012ZM92.133 31.768H97.313V33H90.747V23.088H97.103V24.306H92.133V27.274H96.809V28.464H92.133V31.768ZM104.083 24.922C103.887 24.6513 103.621 24.432 103.285 24.264C102.949 24.0867 102.571 23.998 102.151 23.998C101.927 23.998 101.699 24.0307 101.465 24.096C101.241 24.152 101.036 24.25 100.849 24.39C100.663 24.5207 100.509 24.6887 100.387 24.894C100.275 25.09 100.219 25.328 100.219 25.608C100.219 25.8787 100.271 26.1073 100.373 26.294C100.485 26.4713 100.63 26.6253 100.807 26.756C100.994 26.8773 101.209 26.9847 101.451 27.078C101.703 27.162 101.969 27.2507 102.249 27.344C102.585 27.4467 102.926 27.5633 103.271 27.694C103.617 27.8247 103.929 27.9973 104.209 28.212C104.489 28.4267 104.718 28.6973 104.895 29.024C105.073 29.3413 105.161 29.7473 105.161 30.242C105.161 30.7553 105.063 31.2033 104.867 31.586C104.681 31.9593 104.429 32.272 104.111 32.524C103.794 32.7667 103.425 32.9487 103.005 33.07C102.595 33.1913 102.17 33.252 101.731 33.252C101.106 33.252 100.499 33.1307 99.9112 32.888C99.3325 32.6453 98.8518 32.286 98.4692 31.81L99.5472 30.9C99.7805 31.2453 100.093 31.5253 100.485 31.74C100.877 31.9547 101.302 32.062 101.759 32.062C101.993 32.062 102.226 32.0293 102.459 31.964C102.693 31.8987 102.903 31.796 103.089 31.656C103.285 31.516 103.444 31.3433 103.565 31.138C103.687 30.9233 103.747 30.6667 103.747 30.368C103.747 30.0693 103.682 29.822 103.551 29.626C103.43 29.4207 103.262 29.248 103.047 29.108C102.833 28.968 102.581 28.8513 102.291 28.758C102.011 28.6553 101.713 28.5527 101.395 28.45C101.078 28.3567 100.765 28.2447 100.457 28.114C100.149 27.974 99.8738 27.8013 99.6312 27.596C99.3885 27.3813 99.1925 27.12 99.0432 26.812C98.8938 26.504 98.8192 26.1213 98.8192 25.664C98.8192 25.1693 98.9172 24.7447 99.1132 24.39C99.3185 24.0353 99.5798 23.7413 99.8972 23.508C100.224 23.2747 100.588 23.1067 100.989 23.004C101.4 22.892 101.811 22.836 102.221 22.836C102.8 22.836 103.341 22.9387 103.845 23.144C104.349 23.3493 104.755 23.6247 105.063 23.97L104.083 24.922ZM112.054 24.922C111.858 24.6513 111.592 24.432 111.256 24.264C110.92 24.0867 110.542 23.998 110.122 23.998C109.898 23.998 109.669 24.0307 109.436 24.096C109.212 24.152 109.007 24.25 108.82 24.39C108.633 24.5207 108.479 24.6887 108.358 24.894C108.246 25.09 108.19 25.328 108.19 25.608C108.19 25.8787 108.241 26.1073 108.344 26.294C108.456 26.4713 108.601 26.6253 108.778 26.756C108.965 26.8773 109.179 26.9847 109.422 27.078C109.674 27.162 109.94 27.2507 110.22 27.344C110.556 27.4467 110.897 27.5633 111.242 27.694C111.587 27.8247 111.9 27.9973 112.18 28.212C112.46 28.4267 112.689 28.6973 112.866 29.024C113.043 29.3413 113.132 29.7473 113.132 30.242C113.132 30.7553 113.034 31.2033 112.838 31.586C112.651 31.9593 112.399 32.272 112.082 32.524C111.765 32.7667 111.396 32.9487 110.976 33.07C110.565 33.1913 110.141 33.252 109.702 33.252C109.077 33.252 108.47 33.1307 107.882 32.888C107.303 32.6453 106.823 32.286 106.44 31.81L107.518 30.9C107.751 31.2453 108.064 31.5253 108.456 31.74C108.848 31.9547 109.273 32.062 109.73 32.062C109.963 32.062 110.197 32.0293 110.43 31.964C110.663 31.8987 110.873 31.796 111.06 31.656C111.256 31.516 111.415 31.3433 111.536 31.138C111.657 30.9233 111.718 30.6667 111.718 30.368C111.718 30.0693 111.653 29.822 111.522 29.626C111.401 29.4207 111.233 29.248 111.018 29.108C110.803 28.968 110.551 28.8513 110.262 28.758C109.982 28.6553 109.683 28.5527 109.366 28.45C109.049 28.3567 108.736 28.2447 108.428 28.114C108.12 27.974 107.845 27.8013 107.602 27.596C107.359 27.3813 107.163 27.12 107.014 26.812C106.865 26.504 106.79 26.1213 106.79 25.664C106.79 25.1693 106.888 24.7447 107.084 24.39C107.289 24.0353 107.551 23.7413 107.868 23.508C108.195 23.2747 108.559 23.1067 108.96 23.004C109.371 22.892 109.781 22.836 110.192 22.836C110.771 22.836 111.312 22.9387 111.816 23.144C112.32 23.3493 112.726 23.6247 113.034 23.97L112.054 24.922ZM126.073 25.132C125.774 24.8053 125.391 24.544 124.925 24.348C124.467 24.152 123.954 24.054 123.385 24.054C122.806 24.054 122.283 24.1613 121.817 24.376C121.35 24.5813 120.953 24.866 120.627 25.23C120.3 25.594 120.048 26.0187 119.871 26.504C119.693 26.98 119.605 27.4887 119.605 28.03C119.605 28.5807 119.693 29.0987 119.871 29.584C120.048 30.0693 120.3 30.494 120.627 30.858C120.953 31.2127 121.355 31.4927 121.831 31.698C122.307 31.9033 122.839 32.006 123.427 32.006C123.893 32.006 124.323 31.964 124.715 31.88C125.107 31.796 125.447 31.6747 125.737 31.516V28.758H123.539V27.582H127.109V32.384C126.586 32.664 126.017 32.8787 125.401 33.028C124.785 33.1773 124.113 33.252 123.385 33.252C122.61 33.252 121.896 33.126 121.243 32.874C120.599 32.6127 120.043 32.2533 119.577 31.796C119.11 31.3293 118.746 30.7787 118.485 30.144C118.223 29.5 118.093 28.7953 118.093 28.03C118.093 27.2553 118.223 26.5507 118.485 25.916C118.755 25.272 119.124 24.726 119.591 24.278C120.067 23.8207 120.627 23.466 121.271 23.214C121.915 22.962 122.615 22.836 123.371 22.836C124.164 22.836 124.869 22.9527 125.485 23.186C126.11 23.4193 126.628 23.732 127.039 24.124L126.073 25.132ZM132.687 33H131.287V28.716L127.577 23.088H129.285L132.029 27.568L134.787 23.088H136.397L132.687 28.716V33ZM142.683 30.704H142.711L145.637 23.088H147.793V33H146.407V24.712H146.379L143.089 33H142.207L138.931 24.712H138.903V33H137.559V23.088H139.715L142.683 30.704Z"
            fill="white"
          />
          <circle cx="182" cy="29" r="22" fill="#E3E3E3" />
          <path
            d="M175.528 30V21.68L173.416 23.312L172.024 21.408L175.752 18.672H178.216V30H175.528ZM190.944 24.304C190.944 25.104 190.864 25.8667 190.704 26.592C190.544 27.3173 190.288 27.9573 189.936 28.512C189.584 29.056 189.125 29.4933 188.56 29.824C188.005 30.144 187.328 30.304 186.528 30.304C185.728 30.304 185.045 30.144 184.48 29.824C183.914 29.4933 183.45 29.056 183.088 28.512C182.736 27.9573 182.48 27.3173 182.32 26.592C182.16 25.8667 182.08 25.104 182.08 24.304C182.08 23.504 182.16 22.7467 182.32 22.032C182.48 21.3067 182.736 20.6773 183.088 20.144C183.45 19.6 183.914 19.168 184.48 18.848C185.045 18.528 185.728 18.368 186.528 18.368C187.328 18.368 188.005 18.528 188.56 18.848C189.125 19.168 189.584 19.6 189.936 20.144C190.288 20.6773 190.544 21.3067 190.704 22.032C190.864 22.7467 190.944 23.504 190.944 24.304ZM188.192 24.304C188.192 23.952 188.17 23.5627 188.128 23.136C188.085 22.7093 188.005 22.3147 187.888 21.952C187.77 21.5787 187.6 21.2693 187.376 21.024C187.162 20.768 186.88 20.64 186.528 20.64C186.176 20.64 185.888 20.768 185.664 21.024C185.44 21.2693 185.264 21.5787 185.136 21.952C185.018 22.3147 184.938 22.7093 184.896 23.136C184.853 23.5627 184.832 23.952 184.832 24.304C184.832 24.6667 184.853 25.0667 184.896 25.504C184.938 25.9307 185.018 26.3307 185.136 26.704C185.264 27.0667 185.44 27.376 185.664 27.632C185.888 27.8773 186.176 28 186.528 28C186.88 28 187.162 27.8773 187.376 27.632C187.6 27.376 187.77 27.0667 187.888 26.704C188.005 26.3307 188.085 25.9307 188.128 25.504C188.17 25.0667 188.192 24.6667 188.192 24.304Z"
            fill="#3778BF"
          />
          <path
            d="M179.45 34.06C179.763 34.06 180.03 34.1167 180.25 34.23C180.477 34.3367 180.66 34.48 180.8 34.66C180.947 34.84 181.053 35.0467 181.12 35.28C181.187 35.5133 181.22 35.7533 181.22 36V39H180.02V36.34C180.02 36.2 180.01 36.0533 179.99 35.9C179.97 35.7467 179.927 35.61 179.86 35.49C179.793 35.3633 179.7 35.26 179.58 35.18C179.467 35.1 179.313 35.06 179.12 35.06C178.933 35.06 178.773 35.1 178.64 35.18C178.507 35.26 178.397 35.3633 178.31 35.49C178.223 35.6167 178.16 35.76 178.12 35.92C178.08 36.0733 178.06 36.2267 178.06 36.38V39H176.86V36.1C176.86 35.8 176.787 35.5533 176.64 35.36C176.5 35.16 176.277 35.06 175.97 35.06C175.79 35.06 175.633 35.1 175.5 35.18C175.367 35.2533 175.257 35.35 175.17 35.47C175.09 35.59 175.027 35.73 174.98 35.89C174.94 36.0433 174.92 36.2 174.92 36.36V39H173.72V34.2H174.86V34.97H174.88C174.933 34.85 175.003 34.7367 175.09 34.63C175.183 34.5233 175.29 34.4267 175.41 34.34C175.537 34.2533 175.68 34.1867 175.84 34.14C176 34.0867 176.177 34.06 176.37 34.06C176.743 34.06 177.053 34.1433 177.3 34.31C177.547 34.4767 177.737 34.6967 177.87 34.97C178.03 34.6767 178.243 34.4533 178.51 34.3C178.777 34.14 179.09 34.06 179.45 34.06ZM182.636 34.2H183.836V39H182.636V34.2ZM182.466 32.57C182.466 32.3767 182.536 32.21 182.676 32.07C182.823 31.9233 183.006 31.85 183.226 31.85C183.446 31.85 183.63 31.92 183.776 32.06C183.93 32.1933 184.006 32.3633 184.006 32.57C184.006 32.7767 183.93 32.95 183.776 33.09C183.63 33.2233 183.446 33.29 183.226 33.29C183.006 33.29 182.823 33.22 182.676 33.08C182.536 32.9333 182.466 32.7633 182.466 32.57ZM185.292 34.2H186.432V34.97H186.452C186.559 34.73 186.742 34.52 187.002 34.34C187.269 34.1533 187.582 34.06 187.942 34.06C188.256 34.06 188.522 34.1167 188.742 34.23C188.969 34.3367 189.152 34.48 189.292 34.66C189.439 34.84 189.546 35.0467 189.612 35.28C189.679 35.5133 189.712 35.7533 189.712 36V39H188.512V36.34C188.512 36.2 188.502 36.0533 188.482 35.9C188.462 35.7467 188.419 35.61 188.352 35.49C188.286 35.3633 188.192 35.26 188.072 35.18C187.959 35.1 187.806 35.06 187.612 35.06C187.419 35.06 187.252 35.1 187.112 35.18C186.972 35.2533 186.856 35.35 186.762 35.47C186.676 35.59 186.609 35.73 186.562 35.89C186.516 36.0433 186.492 36.2 186.492 36.36V39H185.292V34.2Z"
            fill="#3778BF"
          />
        </g>
        <defs>
          <filter
            id="filter0_b_139_7410"
            x="-5"
            y="-5"
            width="224"
            height="68"
            filterUnits="userSpaceOnUse"
            color-interpolation-filters="sRGB"
          >
            <feFlood flood-opacity="0" result="BackgroundImageFix" />
            <feGaussianBlur in="BackgroundImageFix" stdDeviation="2.5" />
            <feComposite
              in2="SourceAlpha"
              operator="in"
              result="effect1_backgroundBlur_139_7410"
            />
            <feBlend
              mode="normal"
              in="SourceGraphic"
              in2="effect1_backgroundBlur_139_7410"
              result="shape"
            />
          </filter>
          <linearGradient
            id="paint0_linear_139_7410"
            x1="14.9918"
            y1="-1.28597e-05"
            x2="23.7726"
            y2="74.5858"
            gradientUnits="userSpaceOnUse"
          >
            <stop stop-color="white" stop-opacity="0.4" />
            <stop offset="0.405687" stop-color="white" stop-opacity="0.01" />
            <stop offset="0.574372" stop-color="white" stop-opacity="0.01" />
            <stop offset="1" stop-color="white" stop-opacity="0.1" />
          </linearGradient>
        </defs>
      </svg>
    </div>
  );
};

const SHOP = () => {
  return (
    <div style={{ position: "fixed", bottom: "550px", right: "300px" }}>
      <svg
        width="232"
        height="58"
        viewBox="0 0 232 58"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <g filter="url(#filter0_b_139_7403)">
          <rect
            width="232"
            height="58"
            rx="29"
            fill="#808080"
            fill-opacity="0.3"
          />
          <rect
            x="0.991355"
            y="0.991355"
            width="230.017"
            height="56.0173"
            rx="28.0086"
            stroke="url(#paint0_linear_139_7403)"
            stroke-width="1.98271"
          />
          <path
            d="M32 39C33 34 40 33.4183 40 27C40 22.5817 36.4183 19 32 19C27.5817 19 24 22.5817 24 27C24 33.4183 31 34 32 39Z"
            stroke="white"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M32 30C33.6569 30 35 28.6569 35 27C35 25.3431 33.6569 24 32 24C30.3431 24 29 25.3431 29 27C29 28.6569 30.3431 30 32 30Z"
            stroke="white"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M67.68 25.132C67.3813 24.8053 66.9987 24.544 66.532 24.348C66.0747 24.152 65.5613 24.054 64.992 24.054C64.4133 24.054 63.8907 24.1613 63.424 24.376C62.9573 24.5813 62.5607 24.866 62.234 25.23C61.9073 25.594 61.6553 26.0187 61.478 26.504C61.3007 26.98 61.212 27.4887 61.212 28.03C61.212 28.5807 61.3007 29.0987 61.478 29.584C61.6553 30.0693 61.9073 30.494 62.234 30.858C62.5607 31.2127 62.962 31.4927 63.438 31.698C63.914 31.9033 64.446 32.006 65.034 32.006C65.5007 32.006 65.93 31.964 66.322 31.88C66.714 31.796 67.0547 31.6747 67.344 31.516V28.758H65.146V27.582H68.716V32.384C68.1933 32.664 67.624 32.8787 67.008 33.028C66.392 33.1773 65.72 33.252 64.992 33.252C64.2173 33.252 63.5033 33.126 62.85 32.874C62.206 32.6127 61.6507 32.2533 61.184 31.796C60.7173 31.3293 60.3533 30.7787 60.092 30.144C59.8307 29.5 59.7 28.7953 59.7 28.03C59.7 27.2553 59.8307 26.5507 60.092 25.916C60.3627 25.272 60.7313 24.726 61.198 24.278C61.674 23.8207 62.234 23.466 62.878 23.214C63.522 22.962 64.222 22.836 64.978 22.836C65.7713 22.836 66.476 22.9527 67.092 23.186C67.7173 23.4193 68.2353 23.732 68.646 24.124L67.68 25.132ZM72.4865 33H71.1005V23.088H74.2785C74.7545 23.088 75.2072 23.1393 75.6365 23.242C76.0658 23.3353 76.4392 23.4893 76.7565 23.704C77.0832 23.9187 77.3398 24.2033 77.5265 24.558C77.7132 24.9033 77.8065 25.328 77.8065 25.832C77.8065 26.56 77.5825 27.148 77.1345 27.596C76.6865 28.044 76.1078 28.3287 75.3985 28.45L78.1705 33H76.4905L73.9705 28.59H72.4865V33ZM72.4865 27.428H74.0825C74.4092 27.428 74.7125 27.4 74.9925 27.344C75.2725 27.288 75.5152 27.1993 75.7205 27.078C75.9352 26.9473 76.1032 26.784 76.2245 26.588C76.3458 26.3827 76.4065 26.1307 76.4065 25.832C76.4065 25.5333 76.3458 25.286 76.2245 25.09C76.1032 24.8847 75.9398 24.7213 75.7345 24.6C75.5385 24.4787 75.3052 24.3947 75.0345 24.348C74.7638 24.292 74.4792 24.264 74.1805 24.264H72.4865V27.428ZM89.6961 28.03C89.6961 28.7953 89.5608 29.5 89.2901 30.144C89.0288 30.7787 88.6648 31.3293 88.1981 31.796C87.7314 32.2533 87.1761 32.6127 86.5321 32.874C85.8881 33.126 85.1881 33.252 84.4321 33.252C83.6761 33.252 82.9761 33.126 82.3321 32.874C81.6974 32.6127 81.1468 32.2533 80.6801 31.796C80.2134 31.3293 79.8494 30.7787 79.5881 30.144C79.3268 29.5 79.1961 28.7953 79.1961 28.03C79.1961 27.2553 79.3268 26.5507 79.5881 25.916C79.8494 25.272 80.2134 24.726 80.6801 24.278C81.1468 23.8207 81.6974 23.466 82.3321 23.214C82.9761 22.962 83.6761 22.836 84.4321 22.836C85.1881 22.836 85.8881 22.962 86.5321 23.214C87.1761 23.466 87.7314 23.8207 88.1981 24.278C88.6648 24.726 89.0288 25.272 89.2901 25.916C89.5608 26.5507 89.6961 27.2553 89.6961 28.03ZM88.1981 28.03C88.1981 27.4887 88.1094 26.98 87.9321 26.504C87.7548 26.0187 87.5028 25.594 87.1761 25.23C86.8494 24.866 86.4528 24.5813 85.9861 24.376C85.5288 24.1613 85.0108 24.054 84.4321 24.054C83.8628 24.054 83.3448 24.1613 82.8781 24.376C82.4208 24.5813 82.0288 24.866 81.7021 25.23C81.3848 25.594 81.1374 26.0187 80.9601 26.504C80.7828 26.98 80.6941 27.4887 80.6941 28.03C80.6941 28.5807 80.7828 29.0987 80.9601 29.584C81.1374 30.0693 81.3894 30.494 81.7161 30.858C82.0428 31.2127 82.4348 31.4927 82.8921 31.698C83.3494 31.9033 83.8628 32.006 84.4321 32.006C85.0014 32.006 85.5194 31.9033 85.9861 31.698C86.4528 31.4927 86.8494 31.2127 87.1761 30.858C87.5028 30.494 87.7548 30.0693 87.9321 29.584C88.1094 29.0987 88.1981 28.5807 88.1981 28.03ZM100.079 31.46C99.687 31.992 99.1783 32.426 98.553 32.762C97.9276 33.0887 97.1763 33.252 96.299 33.252C95.543 33.252 94.843 33.126 94.199 32.874C93.5643 32.6127 93.0136 32.2533 92.547 31.796C92.0896 31.3293 91.7303 30.7787 91.469 30.144C91.2076 29.5 91.077 28.7953 91.077 28.03C91.077 27.2553 91.2076 26.5507 91.469 25.916C91.7396 25.272 92.1083 24.726 92.575 24.278C93.051 23.8207 93.611 23.466 94.255 23.214C94.899 22.962 95.599 22.836 96.355 22.836C96.691 22.836 97.0316 22.8687 97.377 22.934C97.7223 22.9993 98.0536 23.0973 98.371 23.228C98.6883 23.3587 98.9776 23.522 99.239 23.718C99.5003 23.9047 99.7243 24.124 99.911 24.376L98.819 25.216C98.5763 24.88 98.231 24.6047 97.783 24.39C97.3443 24.166 96.8683 24.054 96.355 24.054C95.7763 24.054 95.2536 24.1613 94.787 24.376C94.3296 24.5813 93.9376 24.866 93.611 25.23C93.2843 25.594 93.0323 26.0187 92.855 26.504C92.6776 26.98 92.589 27.4887 92.589 28.03C92.589 28.59 92.673 29.1127 92.841 29.598C93.0183 30.0833 93.2656 30.508 93.583 30.872C93.9096 31.2267 94.3016 31.5067 94.759 31.712C95.2256 31.9173 95.7436 32.02 96.313 32.02C96.873 32.02 97.3816 31.908 97.839 31.684C98.2963 31.46 98.6743 31.1333 98.973 30.704L100.079 31.46ZM102.879 31.768H108.059V33H101.493V23.088H107.849V24.306H102.879V27.274H107.555V28.464H102.879V31.768ZM111.287 33H109.901V23.088H113.079C113.555 23.088 114.008 23.1393 114.437 23.242C114.867 23.3353 115.24 23.4893 115.557 23.704C115.884 23.9187 116.141 24.2033 116.327 24.558C116.514 24.9033 116.607 25.328 116.607 25.832C116.607 26.56 116.383 27.148 115.935 27.596C115.487 28.044 114.909 28.3287 114.199 28.45L116.971 33H115.291L112.771 28.59H111.287V33ZM111.287 27.428H112.883C113.21 27.428 113.513 27.4 113.793 27.344C114.073 27.288 114.316 27.1993 114.521 27.078C114.736 26.9473 114.904 26.784 115.025 26.588C115.147 26.3827 115.207 26.1307 115.207 25.832C115.207 25.5333 115.147 25.286 115.025 25.09C114.904 24.8847 114.741 24.7213 114.535 24.6C114.339 24.4787 114.106 24.3947 113.835 24.348C113.565 24.292 113.28 24.264 112.981 24.264H111.287V27.428ZM122.269 33H120.869V28.716L117.159 23.088H118.867L121.611 27.568L124.369 23.088H125.979L122.269 28.716V33ZM135.228 24.922C135.032 24.6513 134.766 24.432 134.43 24.264C134.094 24.0867 133.716 23.998 133.296 23.998C133.072 23.998 132.843 24.0307 132.61 24.096C132.386 24.152 132.18 24.25 131.994 24.39C131.807 24.5207 131.653 24.6887 131.532 24.894C131.42 25.09 131.364 25.328 131.364 25.608C131.364 25.8787 131.415 26.1073 131.518 26.294C131.63 26.4713 131.774 26.6253 131.952 26.756C132.138 26.8773 132.353 26.9847 132.596 27.078C132.848 27.162 133.114 27.2507 133.394 27.344C133.73 27.4467 134.07 27.5633 134.416 27.694C134.761 27.8247 135.074 27.9973 135.354 28.212C135.634 28.4267 135.862 28.6973 136.04 29.024C136.217 29.3413 136.306 29.7473 136.306 30.242C136.306 30.7553 136.208 31.2033 136.012 31.586C135.825 31.9593 135.573 32.272 135.256 32.524C134.938 32.7667 134.57 32.9487 134.15 33.07C133.739 33.1913 133.314 33.252 132.876 33.252C132.25 33.252 131.644 33.1307 131.056 32.888C130.477 32.6453 129.996 32.286 129.614 31.81L130.692 30.9C130.925 31.2453 131.238 31.5253 131.63 31.74C132.022 31.9547 132.446 32.062 132.904 32.062C133.137 32.062 133.37 32.0293 133.604 31.964C133.837 31.8987 134.047 31.796 134.234 31.656C134.43 31.516 134.588 31.3433 134.71 31.138C134.831 30.9233 134.892 30.6667 134.892 30.368C134.892 30.0693 134.826 29.822 134.696 29.626C134.574 29.4207 134.406 29.248 134.192 29.108C133.977 28.968 133.725 28.8513 133.436 28.758C133.156 28.6553 132.857 28.5527 132.54 28.45C132.222 28.3567 131.91 28.2447 131.602 28.114C131.294 27.974 131.018 27.8013 130.776 27.596C130.533 27.3813 130.337 27.12 130.188 26.812C130.038 26.504 129.964 26.1213 129.964 25.664C129.964 25.1693 130.062 24.7447 130.258 24.39C130.463 24.0353 130.724 23.7413 131.042 23.508C131.368 23.2747 131.732 23.1067 132.134 23.004C132.544 22.892 132.955 22.836 133.366 22.836C133.944 22.836 134.486 22.9387 134.99 23.144C135.494 23.3493 135.9 23.6247 136.208 23.97L135.228 24.922ZM138.27 23.088H139.656V27.232H144.668V23.088H146.068V33H144.668V28.464H139.656V33H138.27V23.088ZM158.466 28.03C158.466 28.7953 158.33 29.5 158.06 30.144C157.798 30.7787 157.434 31.3293 156.968 31.796C156.501 32.2533 155.946 32.6127 155.302 32.874C154.658 33.126 153.958 33.252 153.202 33.252C152.446 33.252 151.746 33.126 151.102 32.874C150.467 32.6127 149.916 32.2533 149.45 31.796C148.983 31.3293 148.619 30.7787 148.358 30.144C148.096 29.5 147.966 28.7953 147.966 28.03C147.966 27.2553 148.096 26.5507 148.358 25.916C148.619 25.272 148.983 24.726 149.45 24.278C149.916 23.8207 150.467 23.466 151.102 23.214C151.746 22.962 152.446 22.836 153.202 22.836C153.958 22.836 154.658 22.962 155.302 23.214C155.946 23.466 156.501 23.8207 156.968 24.278C157.434 24.726 157.798 25.272 158.06 25.916C158.33 26.5507 158.466 27.2553 158.466 28.03ZM156.968 28.03C156.968 27.4887 156.879 26.98 156.702 26.504C156.524 26.0187 156.272 25.594 155.946 25.23C155.619 24.866 155.222 24.5813 154.756 24.376C154.298 24.1613 153.78 24.054 153.202 24.054C152.632 24.054 152.114 24.1613 151.648 24.376C151.19 24.5813 150.798 24.866 150.472 25.23C150.154 25.594 149.907 26.0187 149.73 26.504C149.552 26.98 149.464 27.4887 149.464 28.03C149.464 28.5807 149.552 29.0987 149.73 29.584C149.907 30.0693 150.159 30.494 150.486 30.858C150.812 31.2127 151.204 31.4927 151.662 31.698C152.119 31.9033 152.632 32.006 153.202 32.006C153.771 32.006 154.289 31.9033 154.756 31.698C155.222 31.4927 155.619 31.2127 155.946 30.858C156.272 30.494 156.524 30.0693 156.702 29.584C156.879 29.0987 156.968 28.5807 156.968 28.03ZM160.35 23.088H163.374C163.906 23.088 164.392 23.144 164.83 23.256C165.269 23.3587 165.642 23.522 165.95 23.746C166.258 23.97 166.496 24.2547 166.664 24.6C166.832 24.9453 166.916 25.3607 166.916 25.846C166.916 26.3407 166.823 26.7653 166.636 27.12C166.459 27.4747 166.207 27.764 165.88 27.988C165.563 28.212 165.18 28.38 164.732 28.492C164.294 28.5947 163.818 28.646 163.304 28.646H161.736V33H160.35V23.088ZM161.736 27.47H163.206C163.542 27.47 163.85 27.442 164.13 27.386C164.42 27.3207 164.667 27.2273 164.872 27.106C165.078 26.9753 165.236 26.8073 165.348 26.602C165.46 26.3967 165.516 26.1447 165.516 25.846C165.516 25.5473 165.456 25.3 165.334 25.104C165.222 24.8987 165.064 24.7353 164.858 24.614C164.662 24.4833 164.424 24.3947 164.144 24.348C163.864 24.292 163.561 24.264 163.234 24.264H161.736V27.47Z"
            fill="white"
          />
          <circle cx="200" cy="29" r="22" fill="#E3E3E3" />
          <path
            d="M193.528 30V21.68L191.416 23.312L190.024 21.408L193.752 18.672H196.216V30H193.528ZM208.944 24.304C208.944 25.104 208.864 25.8667 208.704 26.592C208.544 27.3173 208.288 27.9573 207.936 28.512C207.584 29.056 207.125 29.4933 206.56 29.824C206.005 30.144 205.328 30.304 204.528 30.304C203.728 30.304 203.045 30.144 202.48 29.824C201.914 29.4933 201.45 29.056 201.088 28.512C200.736 27.9573 200.48 27.3173 200.32 26.592C200.16 25.8667 200.08 25.104 200.08 24.304C200.08 23.504 200.16 22.7467 200.32 22.032C200.48 21.3067 200.736 20.6773 201.088 20.144C201.45 19.6 201.914 19.168 202.48 18.848C203.045 18.528 203.728 18.368 204.528 18.368C205.328 18.368 206.005 18.528 206.56 18.848C207.125 19.168 207.584 19.6 207.936 20.144C208.288 20.6773 208.544 21.3067 208.704 22.032C208.864 22.7467 208.944 23.504 208.944 24.304ZM206.192 24.304C206.192 23.952 206.17 23.5627 206.128 23.136C206.085 22.7093 206.005 22.3147 205.888 21.952C205.77 21.5787 205.6 21.2693 205.376 21.024C205.162 20.768 204.88 20.64 204.528 20.64C204.176 20.64 203.888 20.768 203.664 21.024C203.44 21.2693 203.264 21.5787 203.136 21.952C203.018 22.3147 202.938 22.7093 202.896 23.136C202.853 23.5627 202.832 23.952 202.832 24.304C202.832 24.6667 202.853 25.0667 202.896 25.504C202.938 25.9307 203.018 26.3307 203.136 26.704C203.264 27.0667 203.44 27.376 203.664 27.632C203.888 27.8773 204.176 28 204.528 28C204.88 28 205.162 27.8773 205.376 27.632C205.6 27.376 205.77 27.0667 205.888 26.704C206.005 26.3307 206.085 25.9307 206.128 25.504C206.17 25.0667 206.192 24.6667 206.192 24.304Z"
            fill="#3778BF"
          />
          <path
            d="M197.45 34.06C197.763 34.06 198.03 34.1167 198.25 34.23C198.477 34.3367 198.66 34.48 198.8 34.66C198.947 34.84 199.053 35.0467 199.12 35.28C199.187 35.5133 199.22 35.7533 199.22 36V39H198.02V36.34C198.02 36.2 198.01 36.0533 197.99 35.9C197.97 35.7467 197.927 35.61 197.86 35.49C197.793 35.3633 197.7 35.26 197.58 35.18C197.467 35.1 197.313 35.06 197.12 35.06C196.933 35.06 196.773 35.1 196.64 35.18C196.507 35.26 196.397 35.3633 196.31 35.49C196.223 35.6167 196.16 35.76 196.12 35.92C196.08 36.0733 196.06 36.2267 196.06 36.38V39H194.86V36.1C194.86 35.8 194.787 35.5533 194.64 35.36C194.5 35.16 194.277 35.06 193.97 35.06C193.79 35.06 193.633 35.1 193.5 35.18C193.367 35.2533 193.257 35.35 193.17 35.47C193.09 35.59 193.027 35.73 192.98 35.89C192.94 36.0433 192.92 36.2 192.92 36.36V39H191.72V34.2H192.86V34.97H192.88C192.933 34.85 193.003 34.7367 193.09 34.63C193.183 34.5233 193.29 34.4267 193.41 34.34C193.537 34.2533 193.68 34.1867 193.84 34.14C194 34.0867 194.177 34.06 194.37 34.06C194.743 34.06 195.053 34.1433 195.3 34.31C195.547 34.4767 195.737 34.6967 195.87 34.97C196.03 34.6767 196.243 34.4533 196.51 34.3C196.777 34.14 197.09 34.06 197.45 34.06ZM200.636 34.2H201.836V39H200.636V34.2ZM200.466 32.57C200.466 32.3767 200.536 32.21 200.676 32.07C200.823 31.9233 201.006 31.85 201.226 31.85C201.446 31.85 201.63 31.92 201.776 32.06C201.93 32.1933 202.006 32.3633 202.006 32.57C202.006 32.7767 201.93 32.95 201.776 33.09C201.63 33.2233 201.446 33.29 201.226 33.29C201.006 33.29 200.823 33.22 200.676 33.08C200.536 32.9333 200.466 32.7633 200.466 32.57ZM203.292 34.2H204.432V34.97H204.452C204.559 34.73 204.742 34.52 205.002 34.34C205.269 34.1533 205.582 34.06 205.942 34.06C206.256 34.06 206.522 34.1167 206.742 34.23C206.969 34.3367 207.152 34.48 207.292 34.66C207.439 34.84 207.546 35.0467 207.612 35.28C207.679 35.5133 207.712 35.7533 207.712 36V39H206.512V36.34C206.512 36.2 206.502 36.0533 206.482 35.9C206.462 35.7467 206.419 35.61 206.352 35.49C206.286 35.3633 206.192 35.26 206.072 35.18C205.959 35.1 205.806 35.06 205.612 35.06C205.419 35.06 205.252 35.1 205.112 35.18C204.972 35.2533 204.856 35.35 204.762 35.47C204.676 35.59 204.609 35.73 204.562 35.89C204.516 36.0433 204.492 36.2 204.492 36.36V39H203.292V34.2Z"
            fill="#3778BF"
          />
        </g>
        <defs>
          <filter
            id="filter0_b_139_7403"
            x="-5"
            y="-5"
            width="242"
            height="68"
            filterUnits="userSpaceOnUse"
            color-interpolation-filters="sRGB"
          >
            <feFlood flood-opacity="0" result="BackgroundImageFix" />
            <feGaussianBlur in="BackgroundImageFix" stdDeviation="2.5" />
            <feComposite
              in2="SourceAlpha"
              operator="in"
              result="effect1_backgroundBlur_139_7403"
            />
            <feBlend
              mode="normal"
              in="SourceGraphic"
              in2="effect1_backgroundBlur_139_7403"
              result="shape"
            />
          </filter>
          <linearGradient
            id="paint0_linear_139_7403"
            x1="16.2527"
            y1="-1.28597e-05"
            x2="24.3689"
            y2="74.7382"
            gradientUnits="userSpaceOnUse"
          >
            <stop stop-color="white" stop-opacity="0.4" />
            <stop offset="0.405687" stop-color="white" stop-opacity="0.01" />
            <stop offset="0.574372" stop-color="white" stop-opacity="0.01" />
            <stop offset="1" stop-color="white" stop-opacity="0.1" />
          </linearGradient>
        </defs>
      </svg>
    </div>
  );
};

const SCHOOL = () => {
  return (
    <div style={{ position: "fixed", right: "353px", bottom: "346px" }}>
      <svg
        width="276"
        height="58"
        viewBox="0 0 276 58"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <g filter="url(#filter0_b_139_7390)">
          <rect
            width="276"
            height="58"
            rx="29"
            fill="#808080"
            fill-opacity="0.3"
          />
          <rect
            x="0.991355"
            y="0.991355"
            width="274.017"
            height="56.0173"
            rx="28.0086"
            stroke="url(#paint0_linear_139_7390)"
            stroke-width="1.98271"
          />
          <path
            d="M32 39C33 34 40 33.4183 40 27C40 22.5817 36.4183 19 32 19C27.5817 19 24 22.5817 24 27C24 33.4183 31 34 32 39Z"
            stroke="white"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M32 30C33.6569 30 35 28.6569 35 27C35 25.3431 33.6569 24 32 24C30.3431 24 29 25.3431 29 27C29 28.6569 30.3431 30 32 30Z"
            stroke="white"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
          <path
            d="M61.59 31.768H66.77V33H60.204V23.088H66.56V24.306H61.59V27.274H66.266V28.464H61.59V31.768ZM69.9982 31.768H74.4222V33H68.6122V23.088H69.9982V31.768ZM77.1486 31.768H82.3286V33H75.7626V23.088H82.1186V24.306H77.1486V27.274H81.8246V28.464H77.1486V31.768ZM89.2948 30.704H89.3228L92.2488 23.088H94.4048V33H93.0188V24.712H92.9908L89.7008 33H88.8188L85.5428 24.712H85.5148V33H84.1708V23.088H86.3268L89.2948 30.704ZM98.2033 31.768H103.383V33H96.8173V23.088H103.173V24.306H98.2033V27.274H102.879V28.464H98.2033V31.768ZM112.211 31.012H112.239V23.088H113.625V33H111.875L106.639 24.908H106.611V33H105.225V23.088H107.031L112.211 31.012ZM119.512 33H118.126V24.306H114.948V23.088H122.69V24.306H119.512V33ZM123.583 33H122.043L126.341 23.088H127.601L131.857 33H130.289L129.281 30.564H124.577L123.583 33ZM125.067 29.346H128.777L126.929 24.698L125.067 29.346ZM134.516 33H133.13V23.088H136.308C136.784 23.088 137.236 23.1393 137.666 23.242C138.095 23.3353 138.468 23.4893 138.786 23.704C139.112 23.9187 139.369 24.2033 139.556 24.558C139.742 24.9033 139.836 25.328 139.836 25.832C139.836 26.56 139.612 27.148 139.164 27.596C138.716 28.044 138.137 28.3287 137.428 28.45L140.2 33H138.52L136 28.59H134.516V33ZM134.516 27.428H136.112C136.438 27.428 136.742 27.4 137.022 27.344C137.302 27.288 137.544 27.1993 137.75 27.078C137.964 26.9473 138.132 26.784 138.254 26.588C138.375 26.3827 138.436 26.1307 138.436 25.832C138.436 25.5333 138.375 25.286 138.254 25.09C138.132 24.8847 137.969 24.7213 137.764 24.6C137.568 24.4787 137.334 24.3947 137.064 24.348C136.793 24.292 136.508 24.264 136.21 24.264H134.516V27.428ZM145.498 33H144.098V28.716L140.388 23.088H142.096L144.84 27.568L147.598 23.088H149.208L145.498 28.716V33ZM158.456 24.922C158.26 24.6513 157.994 24.432 157.658 24.264C157.322 24.0867 156.944 23.998 156.524 23.998C156.3 23.998 156.072 24.0307 155.838 24.096C155.614 24.152 155.409 24.25 155.222 24.39C155.036 24.5207 154.882 24.6887 154.76 24.894C154.648 25.09 154.592 25.328 154.592 25.608C154.592 25.8787 154.644 26.1073 154.746 26.294C154.858 26.4713 155.003 26.6253 155.18 26.756C155.367 26.8773 155.582 26.9847 155.824 27.078C156.076 27.162 156.342 27.2507 156.622 27.344C156.958 27.4467 157.299 27.5633 157.644 27.694C157.99 27.8247 158.302 27.9973 158.582 28.212C158.862 28.4267 159.091 28.6973 159.268 29.024C159.446 29.3413 159.534 29.7473 159.534 30.242C159.534 30.7553 159.436 31.2033 159.24 31.586C159.054 31.9593 158.802 32.272 158.484 32.524C158.167 32.7667 157.798 32.9487 157.378 33.07C156.968 33.1913 156.543 33.252 156.104 33.252C155.479 33.252 154.872 33.1307 154.284 32.888C153.706 32.6453 153.225 32.286 152.842 31.81L153.92 30.9C154.154 31.2453 154.466 31.5253 154.858 31.74C155.25 31.9547 155.675 32.062 156.132 32.062C156.366 32.062 156.599 32.0293 156.832 31.964C157.066 31.8987 157.276 31.796 157.462 31.656C157.658 31.516 157.817 31.3433 157.938 31.138C158.06 30.9233 158.12 30.6667 158.12 30.368C158.12 30.0693 158.055 29.822 157.924 29.626C157.803 29.4207 157.635 29.248 157.42 29.108C157.206 28.968 156.954 28.8513 156.664 28.758C156.384 28.6553 156.086 28.5527 155.768 28.45C155.451 28.3567 155.138 28.2447 154.83 28.114C154.522 27.974 154.247 27.8013 154.004 27.596C153.762 27.3813 153.566 27.12 153.416 26.812C153.267 26.504 153.192 26.1213 153.192 25.664C153.192 25.1693 153.29 24.7447 153.486 24.39C153.692 24.0353 153.953 23.7413 154.27 23.508C154.597 23.2747 154.961 23.1067 155.362 23.004C155.773 22.892 156.184 22.836 156.594 22.836C157.173 22.836 157.714 22.9387 158.218 23.144C158.722 23.3493 159.128 23.6247 159.436 23.97L158.456 24.922ZM169.997 31.46C169.605 31.992 169.096 32.426 168.471 32.762C167.846 33.0887 167.094 33.252 166.217 33.252C165.461 33.252 164.761 33.126 164.117 32.874C163.482 32.6127 162.932 32.2533 162.465 31.796C162.008 31.3293 161.648 30.7787 161.387 30.144C161.126 29.5 160.995 28.7953 160.995 28.03C160.995 27.2553 161.126 26.5507 161.387 25.916C161.658 25.272 162.026 24.726 162.493 24.278C162.969 23.8207 163.529 23.466 164.173 23.214C164.817 22.962 165.517 22.836 166.273 22.836C166.609 22.836 166.95 22.8687 167.295 22.934C167.64 22.9993 167.972 23.0973 168.289 23.228C168.606 23.3587 168.896 23.522 169.157 23.718C169.418 23.9047 169.642 24.124 169.829 24.376L168.737 25.216C168.494 24.88 168.149 24.6047 167.701 24.39C167.262 24.166 166.786 24.054 166.273 24.054C165.694 24.054 165.172 24.1613 164.705 24.376C164.248 24.5813 163.856 24.866 163.529 25.23C163.202 25.594 162.95 26.0187 162.773 26.504C162.596 26.98 162.507 27.4887 162.507 28.03C162.507 28.59 162.591 29.1127 162.759 29.598C162.936 30.0833 163.184 30.508 163.501 30.872C163.828 31.2267 164.22 31.5067 164.677 31.712C165.144 31.9173 165.662 32.02 166.231 32.02C166.791 32.02 167.3 31.908 167.757 31.684C168.214 31.46 168.592 31.1333 168.891 30.704L169.997 31.46ZM171.411 23.088H172.797V27.232H177.809V23.088H179.209V33H177.809V28.464H172.797V33H171.411V23.088ZM191.606 28.03C191.606 28.7953 191.471 29.5 191.2 30.144C190.939 30.7787 190.575 31.3293 190.108 31.796C189.642 32.2533 189.086 32.6127 188.442 32.874C187.798 33.126 187.098 33.252 186.342 33.252C185.586 33.252 184.886 33.126 184.242 32.874C183.608 32.6127 183.057 32.2533 182.59 31.796C182.124 31.3293 181.76 30.7787 181.498 30.144C181.237 29.5 181.106 28.7953 181.106 28.03C181.106 27.2553 181.237 26.5507 181.498 25.916C181.76 25.272 182.124 24.726 182.59 24.278C183.057 23.8207 183.608 23.466 184.242 23.214C184.886 22.962 185.586 22.836 186.342 22.836C187.098 22.836 187.798 22.962 188.442 23.214C189.086 23.466 189.642 23.8207 190.108 24.278C190.575 24.726 190.939 25.272 191.2 25.916C191.471 26.5507 191.606 27.2553 191.606 28.03ZM190.108 28.03C190.108 27.4887 190.02 26.98 189.842 26.504C189.665 26.0187 189.413 25.594 189.086 25.23C188.76 24.866 188.363 24.5813 187.896 24.376C187.439 24.1613 186.921 24.054 186.342 24.054C185.773 24.054 185.255 24.1613 184.788 24.376C184.331 24.5813 183.939 24.866 183.612 25.23C183.295 25.594 183.048 26.0187 182.87 26.504C182.693 26.98 182.604 27.4887 182.604 28.03C182.604 28.5807 182.693 29.0987 182.87 29.584C183.048 30.0693 183.3 30.494 183.626 30.858C183.953 31.2127 184.345 31.4927 184.802 31.698C185.26 31.9033 185.773 32.006 186.342 32.006C186.912 32.006 187.43 31.9033 187.896 31.698C188.363 31.4927 188.76 31.2127 189.086 30.858C189.413 30.494 189.665 30.0693 189.842 29.584C190.02 29.0987 190.108 28.5807 190.108 28.03ZM203.487 28.03C203.487 28.7953 203.352 29.5 203.081 30.144C202.82 30.7787 202.456 31.3293 201.989 31.796C201.522 32.2533 200.967 32.6127 200.323 32.874C199.679 33.126 198.979 33.252 198.223 33.252C197.467 33.252 196.767 33.126 196.123 32.874C195.488 32.6127 194.938 32.2533 194.471 31.796C194.004 31.3293 193.64 30.7787 193.379 30.144C193.118 29.5 192.987 28.7953 192.987 28.03C192.987 27.2553 193.118 26.5507 193.379 25.916C193.64 25.272 194.004 24.726 194.471 24.278C194.938 23.8207 195.488 23.466 196.123 23.214C196.767 22.962 197.467 22.836 198.223 22.836C198.979 22.836 199.679 22.962 200.323 23.214C200.967 23.466 201.522 23.8207 201.989 24.278C202.456 24.726 202.82 25.272 203.081 25.916C203.352 26.5507 203.487 27.2553 203.487 28.03ZM201.989 28.03C201.989 27.4887 201.9 26.98 201.723 26.504C201.546 26.0187 201.294 25.594 200.967 25.23C200.64 24.866 200.244 24.5813 199.777 24.376C199.32 24.1613 198.802 24.054 198.223 24.054C197.654 24.054 197.136 24.1613 196.669 24.376C196.212 24.5813 195.82 24.866 195.493 25.23C195.176 25.594 194.928 26.0187 194.751 26.504C194.574 26.98 194.485 27.4887 194.485 28.03C194.485 28.5807 194.574 29.0987 194.751 29.584C194.928 30.0693 195.18 30.494 195.507 30.858C195.834 31.2127 196.226 31.4927 196.683 31.698C197.14 31.9033 197.654 32.006 198.223 32.006C198.792 32.006 199.31 31.9033 199.777 31.698C200.244 31.4927 200.64 31.2127 200.967 30.858C201.294 30.494 201.546 30.0693 201.723 29.584C201.9 29.0987 201.989 28.5807 201.989 28.03ZM206.758 31.768H211.182V33H205.372V23.088H206.758V31.768Z"
            fill="white"
          />
          <circle cx="244" cy="29" r="22" fill="#E3E3E3" />
          <path
            d="M237.528 30V21.68L235.416 23.312L234.024 21.408L237.752 18.672H240.216V30H237.528ZM252.944 24.304C252.944 25.104 252.864 25.8667 252.704 26.592C252.544 27.3173 252.288 27.9573 251.936 28.512C251.584 29.056 251.125 29.4933 250.56 29.824C250.005 30.144 249.328 30.304 248.528 30.304C247.728 30.304 247.045 30.144 246.48 29.824C245.914 29.4933 245.45 29.056 245.088 28.512C244.736 27.9573 244.48 27.3173 244.32 26.592C244.16 25.8667 244.08 25.104 244.08 24.304C244.08 23.504 244.16 22.7467 244.32 22.032C244.48 21.3067 244.736 20.6773 245.088 20.144C245.45 19.6 245.914 19.168 246.48 18.848C247.045 18.528 247.728 18.368 248.528 18.368C249.328 18.368 250.005 18.528 250.56 18.848C251.125 19.168 251.584 19.6 251.936 20.144C252.288 20.6773 252.544 21.3067 252.704 22.032C252.864 22.7467 252.944 23.504 252.944 24.304ZM250.192 24.304C250.192 23.952 250.17 23.5627 250.128 23.136C250.085 22.7093 250.005 22.3147 249.888 21.952C249.77 21.5787 249.6 21.2693 249.376 21.024C249.162 20.768 248.88 20.64 248.528 20.64C248.176 20.64 247.888 20.768 247.664 21.024C247.44 21.2693 247.264 21.5787 247.136 21.952C247.018 22.3147 246.938 22.7093 246.896 23.136C246.853 23.5627 246.832 23.952 246.832 24.304C246.832 24.6667 246.853 25.0667 246.896 25.504C246.938 25.9307 247.018 26.3307 247.136 26.704C247.264 27.0667 247.44 27.376 247.664 27.632C247.888 27.8773 248.176 28 248.528 28C248.88 28 249.162 27.8773 249.376 27.632C249.6 27.376 249.77 27.0667 249.888 26.704C250.005 26.3307 250.085 25.9307 250.128 25.504C250.17 25.0667 250.192 24.6667 250.192 24.304Z"
            fill="#3778BF"
          />
          <path
            d="M241.45 34.06C241.763 34.06 242.03 34.1167 242.25 34.23C242.477 34.3367 242.66 34.48 242.8 34.66C242.947 34.84 243.053 35.0467 243.12 35.28C243.187 35.5133 243.22 35.7533 243.22 36V39H242.02V36.34C242.02 36.2 242.01 36.0533 241.99 35.9C241.97 35.7467 241.927 35.61 241.86 35.49C241.793 35.3633 241.7 35.26 241.58 35.18C241.467 35.1 241.313 35.06 241.12 35.06C240.933 35.06 240.773 35.1 240.64 35.18C240.507 35.26 240.397 35.3633 240.31 35.49C240.223 35.6167 240.16 35.76 240.12 35.92C240.08 36.0733 240.06 36.2267 240.06 36.38V39H238.86V36.1C238.86 35.8 238.787 35.5533 238.64 35.36C238.5 35.16 238.277 35.06 237.97 35.06C237.79 35.06 237.633 35.1 237.5 35.18C237.367 35.2533 237.257 35.35 237.17 35.47C237.09 35.59 237.027 35.73 236.98 35.89C236.94 36.0433 236.92 36.2 236.92 36.36V39H235.72V34.2H236.86V34.97H236.88C236.933 34.85 237.003 34.7367 237.09 34.63C237.183 34.5233 237.29 34.4267 237.41 34.34C237.537 34.2533 237.68 34.1867 237.84 34.14C238 34.0867 238.177 34.06 238.37 34.06C238.743 34.06 239.053 34.1433 239.3 34.31C239.547 34.4767 239.737 34.6967 239.87 34.97C240.03 34.6767 240.243 34.4533 240.51 34.3C240.777 34.14 241.09 34.06 241.45 34.06ZM244.636 34.2H245.836V39H244.636V34.2ZM244.466 32.57C244.466 32.3767 244.536 32.21 244.676 32.07C244.823 31.9233 245.006 31.85 245.226 31.85C245.446 31.85 245.63 31.92 245.776 32.06C245.93 32.1933 246.006 32.3633 246.006 32.57C246.006 32.7767 245.93 32.95 245.776 33.09C245.63 33.2233 245.446 33.29 245.226 33.29C245.006 33.29 244.823 33.22 244.676 33.08C244.536 32.9333 244.466 32.7633 244.466 32.57ZM247.292 34.2H248.432V34.97H248.452C248.559 34.73 248.742 34.52 249.002 34.34C249.269 34.1533 249.582 34.06 249.942 34.06C250.256 34.06 250.522 34.1167 250.742 34.23C250.969 34.3367 251.152 34.48 251.292 34.66C251.439 34.84 251.546 35.0467 251.612 35.28C251.679 35.5133 251.712 35.7533 251.712 36V39H250.512V36.34C250.512 36.2 250.502 36.0533 250.482 35.9C250.462 35.7467 250.419 35.61 250.352 35.49C250.286 35.3633 250.192 35.26 250.072 35.18C249.959 35.1 249.806 35.06 249.612 35.06C249.419 35.06 249.252 35.1 249.112 35.18C248.972 35.2533 248.856 35.35 248.762 35.47C248.676 35.59 248.609 35.73 248.562 35.89C248.516 36.0433 248.492 36.2 248.492 36.36V39H247.292V34.2Z"
            fill="#3778BF"
          />
        </g>
        <defs>
          <filter
            id="filter0_b_139_7390"
            x="-5"
            y="-5"
            width="286"
            height="68"
            filterUnits="userSpaceOnUse"
            color-interpolation-filters="sRGB"
          >
            <feFlood flood-opacity="0" result="BackgroundImageFix" />
            <feGaussianBlur in="BackgroundImageFix" stdDeviation="2.5" />
            <feComposite
              in2="SourceAlpha"
              operator="in"
              result="effect1_backgroundBlur_139_7390"
            />
            <feBlend
              mode="normal"
              in="SourceGraphic"
              in2="effect1_backgroundBlur_139_7390"
              result="shape"
            />
          </filter>
          <linearGradient
            id="paint0_linear_139_7390"
            x1="19.3352"
            y1="-1.28597e-05"
            x2="26.1808"
            y2="74.9947"
            gradientUnits="userSpaceOnUse"
          >
            <stop stop-color="white" stop-opacity="0.4" />
            <stop offset="0.405687" stop-color="white" stop-opacity="0.01" />
            <stop offset="0.574372" stop-color="white" stop-opacity="0.01" />
            <stop offset="1" stop-color="white" stop-opacity="0.1" />
          </linearGradient>
        </defs>
      </svg>
    </div>
  );
};

const BUILDING = () => {
    return <div style={{position:"fixed", width:"148.043px", left: "38%"}} ><img width={"100%"} src={buildingImg} alt="buildingImg" /></div>
}

const INTERIOR = () => {
    return <div style={{position:"fixed", width:"201px", left: "46%", bottom: "46%"}}><img width={"100%"}  src={interiorImg} alt="interiorImg" /></div>
}

function MainPageTitle({ isVisibleCard, isActiveBuild }: { isVisibleCard: boolean; isActiveBuild: boolean }) {
  const sectionRef = useRef(null);
  const cardsRef = useRef(null);
  const buildRef = useRef(null);

  useEffect(() => {
    gsap.registerPlugin(ScrollTrigger);

    gsap.to(sectionRef.current, {
      scrollTrigger: {
        trigger: sectionRef.current,
        start: "top",
        end: "bottom",
        scrub: true,
      },
      opacity: 0,
    });
  }, []);

  useEffect(() => {
    gsap.registerPlugin(ScrollTrigger);

    gsap.to(cardsRef.current, {
      opacity: isVisibleCard ? 1 : 0, 
      duration: 0.3,
      ease: "power2.inOut",
    });
  }, [isVisibleCard]);

  useEffect(() => {
    gsap.registerPlugin(ScrollTrigger);

    gsap.to(buildRef.current, {
      opacity: isActiveBuild ? 1 : 0, 
      duration: 0.3,
      ease: "power2.inOut",
    });
  }, [isActiveBuild]);

  return (
    <>
      <Box
        display={"flex"}
        flexDirection={"column"}
        alignItems={"center"}
        position={"fixed"}
        left={"0"}
        right={"0"}
        ref={sectionRef}
        style={{ opacity: 1, transition: "opacity 0.3s !important" }}
      >
        <div className={styles.mainTitle}>
          <h2>Home-hunting:</h2>
          <h3>A full-service real estate ecosystem</h3>
          <h2>Simplified</h2>
        </div>
        <Box
          display={"flex"}
          alignItems={"center"}
          marginTop={"40px"}
          gap={"20px"}
        >
          <Input />
          <Box
            width={"82px"}
            height={"82px"}
            display={"flex"}
            alignItems={"center"}
            justifyContent={"center"}
            border={"2px solid rgba(128, 128, 128, 0.30)"}
            borderRadius={"50%"}
            className={styles.searchItem}
          >
            <img src={search} alt="search" />
          </Box>
        </Box>
      </Box>
        <div ref={cardsRef}> 
          <GYM />
          <SHOP />
          <SCHOOL />
        </div>
        <div ref={buildRef}>
            <BUILDING />
            <INTERIOR />
        </div>
    </>
  );
}

export default MainPageTitle;
